Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonTaskToggleButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonTaskToggleButtonUI

All Implemented Interfaces:
  `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

public class SubstanceRibbonTaskToggleButtonUI extends org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI implements org.pushingpixels.substance.internal.animation.TransitionAwareUI
UI for `JRibbonTaskToggleButton` components in Substance look and feel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CommandButtonVisualStateTracker`
`substanceVisualStateTracker`
Tracker for visual state transitions.

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI

`popupListener`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceRibbonTaskToggleButtonUI()`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`Dimension`
`getPreferredSize(JComponent c)`
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getTransitionTracker()`
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`boolean`
`isInside(MouseEvent me)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`paintText(Graphics g)`
`protected void`
`uninstallComponents()`
`protected void`
`uninstallListeners()`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI

`getMinimumSize, paintButtonBackground`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI

`createRendererButton, isPaintingSeparators, updatePopupActionIcon`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`configureRenderer, createButtonListener, createPopupActionIcon, createPopupActionListener, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, installComponents, installKeyboardActions, installUI, isPaintingBackground, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonIcon, paintButtonVerticalSeparator, paintPopupActionIcon, processPopupAction, syncDisabledIcon, syncIconDimension, toUseDisabledIcon, unconfigureRenderer, uninstallDefaults, uninstallKeyboardActions, uninstallUI, updateBorder, updateCustomDimension`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substanceVisualStateTracker

protected CommandButtonVisualStateTracker substanceVisualStateTracker
Tracker for visual state transitions.

## Constructor Details

### SubstanceRibbonTaskToggleButtonUI

public SubstanceRibbonTaskToggleButtonUI()
Simple constructor.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI`

### uninstallComponents

protected void uninstallComponents()

Overrides:
  `uninstallComponents` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI`

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI`

### paintText

protected void paintText(Graphics g)

Overrides:
  `paintText` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonTaskToggleButtonUI`

### getTransitionTracker

public org.pushingpixels.substance.internal.animation.StateTransitionTracker getTransitionTracker()

Specified by:
  `getTransitionTracker` in interface `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

### isInside

public boolean isInside(MouseEvent me)

Specified by:
  `isInside` in interface `org.pushingpixels.substance.internal.animation.TransitionAwareUI`